%% pcn 10/2012  blinkprepdata.m  MATLAB R2014a
% first load dataset blink.mat containing unnormalized pdf
%% Distribution of durations of off states
twaits = (10.^blink2a(:,1))';
tmin = min(twaits)
pdensity = (10.^blink2a(:,2))';
nump = length(twaits)
% compute normalization integral
normi = (1/2)*sum((pdensity(1:(end-1))+pdensity(2:end)).*(twaits(2:end)-twaits(1:(end-1))))
blinkOFF=blink2a;
blinkOFF(:,2)=log10(pdensity/normi)
%% Distribution of durations of on states
twaits = (10.^blink2b(:,1))';
tmin = min(twaits)
pdensity = (10.^blink2b(:,2))';
nump = length(twaits)
% compute normalization integral
normi = (1/2)*sum((pdensity(1:(end-1))+pdensity(2:end)).*(twaits(2:end)-twaits(1:(end-1))))
blinkON=blink2b;
blinkON(:,2)=log10(pdensity/normi)
%%
README='blinkOFF: off lifetimes; blinkON: on lifetimes. col1: log10(waiting time); col2: log10(estimated probability density).'
save('blinkData.mat','README','blinkOFF','blinkON')